EDIT -

bug #5601

Creation of local database structure via remoting
02/26/2016 03:31 PM - Andreas Mller

Status: Duplicate Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 3:00 hours
Target version:

Severity: blocker Found in Version:

Description

It is still untested if a database structure (e.g. in a local H2 database) can be created automatically in the same way as it was
possible in standalone.

This is a critical feature for turning off standalone completely.

Needs decision if this is a taxeditor ticket or cdmserver/remote ticket.

Related issues:

Related to EDIT - feature request #8187: Use Spring Environment instead of cu...

Is duplicate of EDIT - feature request #9025: allow for creating a new schema...

New
Closed

History

#1 - 03/16/2016 02:53 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.0

- Priority changed from New to Highest

- Severity changed from normal to blocker

- Tracker changed from feature request to bug

#2 - 04/12/2016 11:23 AM - Katja Luther

at the moment it is not possible to connect to a h2 database with the remote editor. First we have to fix this issue : #5705

Caused

java.sqgl.SQLException:

at

by:

No suitable driver

java.sqgl.DriverManager.getDriver (DriverManager. java:278)

at com.mchange.v2.c3p0.DriverManagerDataSource.driver (DriverManagerDataSource. java:285)

at com.mchange.v2.c3p0.DriverManagerDataSource.getConnection (DriverManagerDataSource. java:161)

at com.mchange.v2.c3p0.WrapperConnectionPoolDataSource.getPooledConnection (WrapperConnectionPoolDataSource
.java:161)

at com.mchange.v2.c3p0.WrapperConnectionPoolDataSource.getPooledConnection (WrapperConnectionPoolDataSource
.Java:147)

at com.mchange.v2.c3p0.impl.C3P0PooledConnectionPoolManager.initializeAutomaticTestTable (C3P0PooledConnect

ionPoolManager. java:1000)

at

com.mchange.v2.c3p0.

nPoolManager. java:921)

impl.C3P0PooledConnectionPoolManager.createPooledConnectionPool (C3P0PooledConnectio

at com.mchange.v2.c3p0.impl.C3P0PooledConnectionPoolManager.getPool (C3P0PooledConnectionPoolManager. java:3
97)

at com.mchange.v2.c3p0.impl.C3P0PooledConnectionPoolManager.getPool (C3P0PooledConnectionPoolManager. java:4
14)

at com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource.getConnection (AbstractPoolBackedDataSource. java:l
40)

at eu.etaxonomy.cdm.remote.config.DataSourceConfigurer.dataSource (DataSourceConfigurer.java:167)

at eu.etaxonomy.cdm.remote.config.DataSourceConfigurer$$EnhancerBySpringCGLIBS$57a£939.CGLIBSdataSourcesO (

<generated>)

at eu.etaxonomy.cdm.remote.config.DataSourceConfigurer$$EnhancerBySpringCGLIBS$S$57af939$SFastClassBySpringC
GLIBS$S$2edf344c.invoke (<generated>)

at org.springframework.cglib.proxy.MethodProxy.invokeSuper (MethodProxy. java:228)

at org.springframework.context.annotation.ConfigurationClassEnhancer$BeanMethodInterceptor.intercept (Confi
gurationClassEnhancer. java:355)

at eu.etaxonomy.cdm.remote.config.DataSourceConfigurer$$EnhancerBySpringCGLIBSS$57af939.dataSource (<generat

ed>)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)
.server.handler.ContextHandler
servlet.ServletContextHandler
server.handler.ContextHandler
servlet.ServletContextHandler
.WebAppContext.startWebapp (WebAppContext.java:1349)
.WebAppContext.startContext (WebAppContext.java:1342)
.handler.ContextHandler.doStart (ContextHandler. java:741)
.WebAppContext.doStart (WebAppContext. java:505)
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
.util.component.ContainerLifeCycle.start (ContainerLifeCycle. java:132)

.springframework.context.support.AbstractApplicationContext.refresh (AbstractApplicationContext. java:
springframework.web.context.ContextLoader.configureAndRefreshWebApplicationContext (ContextLoader. ja

springframework.web.context.ContextLoader.initWebApplicationContext (ContextLoader.java:328)
springframework.web.context.ContextLoaderListener.contextInitialized (ContextLoaderListener.java:107

.callContextInitialized (ContextHandler. java:800)
.callContextInitialized(ServletContextHandler. java:444)
.startContext (ContextHandler. java:791)

.startContext (ServletContextHandler. java:294)
at org.eclipse.jetty.server.Server.start (Server. java:387)

at org.eclipse. jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)
at org.eclipse.jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)

at org.eclipse. jetty.server.Server.doStart (Server. java:354)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)

#3 - 05/02/2016 03:12 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#4 - 06/01/2016 01:23 PM - Andreas Miuller

- Target version changed from Release 4.1 to Release 4.2

#5 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#6 - 09/26/2016 09:56 AM - Andreas Mdller

- Target version changed from Release 4.3 to Release 4.4

#7 - 09/26/2016 10:47 AM - Andreas Mdller

- Subject changed from Creation of database structure via remoting to [DISCUSS] Creation of database structure via remoting

- Description updated

- Estimated time set to 3:00 h

#8 - 12/01/2016 02:44 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#9 - 01/19/2017 01:36 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#10 - 03/10/2017 08:45 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#11 - 05/11/2017 04:00 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#12 - 07/06/2017 10:11 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#13 - 07/21/2017 10:33 AM - Andreas Muller

- Target version changed from Release 4.9 to Release 4.10

#14 - 09/24/2017 01:26 AM - Andreas Muller

- Target version changed from Release 4.10 to Release 4.12

#15 - 12/05/2017 02:25 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#16 - 01/31/2018 12:23 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#17 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#18 - 02/21/2018 01:35 PM - Andreas Miiller

- Private changed from Yes to No

#19 - 02/21/2018 01:40 PM - Andreas Miiller
- Target version changed from Release 5.0 to Release 5.1

#20 - 06/28/2018 12:06 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#21 - 08/17/2018 03:50 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#22 - 09/06/2018 08:53 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#23 - 10/23/2018 10:40 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#24 - 02/19/2019 02:43 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#25 - 02/19/2019 03:12 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#26 - 03/20/2019 11:35 AM - Andreas Kohlbecker

- Related to feature request #8187: Use Spring Environment instead of custom code in AbstractWebApplicationConfigurer added

#27 - 06/10/2020 12:40 AM - Andreas Miiller
- Assignee changed from Katja Luther to Andreas Miiller
- Target version changed from Reviewed Next Major Release to Release 5.15

- % Done changed from 0 to 90

This is probably fixed with #9025 . Still need to test if it really works with H2.

#28 - 06/10/2020 12:41 AM - Andreas Miiller

- Is duplicate of feature request #9025: allow for creating a new schema in empty dbs via the remote login dialog added

#29 - 06/10/2020 09:40 AM - Andreas Kohlbecker
- Status changed from New to Feedback
Andreas Muller wrote:
This is probably fixed with #9025 . Still need to test if it really works with H2.

So this ticket is only about databases related to the "local managed server" which is started from withing the taxeditor?
It would be good to clarify this in the ticket subject.

#30 - 06/11/2020 05:10 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

As the description says "can be created automatically in the same way as it was possible in standalone" .
And " critical feature for turning off standalone completely".

As standalone is more or less doing what localhost mgd. is doing | guess this ticket is only about localhost mgd.
| also wouldn't consider it necessary to make it possible to create a new DB schema on a remote server via TaxEditor and not using localhost mgd.

This is funcitionality that we could maybe have in the CDM Server web interface. But this might be another ticket. Feel free to create such a ticket if it
does not yet exist.

#31 - 06/15/2020 10:02 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
https://dev.e-taxonomy.eu/redmine/issues/9025
https://dev.e-taxonomy.eu/redmine/issues/9025

Andreas Muller wrote:

As the description says "can be created automatically in the same way as it was possible in standalone" .
And " critical feature for turning off standalone completely".

As standalone is more or less doing what localhost mgd. is doing | guess this ticket is only about localhost mgd.

| also wouldn't consider it necessary to make it possible to create a new DB schema on a remote server via TaxEditor and not using localhost
mgd.

This is funcitionality that we could maybe have in the CDM Server web interface. But this might be another ticket. Feel free to create such a
ticket if it does not yet exist.

| was asking for calrifying the subject so that you can more easily understand the focus of this issue when you don't see the description, like is issue
lists. The description is clear enough

#32 - 06/15/2020 10:22 AM - Andreas Miiller

- Subject changed from [DISCUSS] Creation of database structure via remoting to Creation of database structure via remoting
- Status changed from Feedback to Duplicate

- Target version deleted (Release 5.15)

- % Done changed from 90 to 100

So | close this ticket as duplicate. If you have an idea for a better ticket title feel free to change it.

#33 - 06/15/2020 10:29 AM - Andreas Kohlbecker

- Subject changed from Creation of database structure via remoting to Creation of local database structure via remoting
#34 - 06/15/2020 12:09 PM - Andreas Miiller

Don't know if this is a better title. The database is not necessarily a local one. It only needs to be reachable, e.g. | can create a DB schema on
production from my local TaxEditor as long as | have access to the production database from my machine.
